#### PyKDE - Python Bindings for KDE

# class KIconCanvas |
Table of contents
Modules
kfile Classes
All Classes

Module | kfile
Class | KIconCanvas
Inherits | KIconView

### methods

- KIconCanvas (parent = 0, name = 0)

  returns a KIconCanvas instance
  Argument | Type | Default
  --- | --- | ---
  parent | QWidget | 0
  name | char | 0

- finished ()

  returns nothing

- getCurrent ()

  returns (QString)

- loadFiles (files)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  files | QStringList |

- nameChanged (a0)

  Not Implemented

- progress (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | int |

- startLoading (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | int |

- stopLoading ()

  returns nothing